CREATE OR REPLACE PROCEDURE ADD_HISTO_CLI_PROCE 
(ENFERMEDADES_PADECIDAS in VARCHAR2,TRATAMIENTO_PREVENTIVO in VARCHAR2,ID_DATOS_FAMILIARES in NUMBER,ID_PACIENTE IN NUMBER) IS
BEGIN
    INSERT INTO HISTORIALCLINICO (ENFERMEDADES_PADECIDAS,TRATAMIENTO_PREVENTIVO,ID_DATOS_FAMILIARES,ID_PACIENTE)
    VALUES (ENFERMEDADES_PADECIDAS,TRATAMIENTO_PREVENTIVO,ID_DATOS_FAMILIARES,ID_PACIENTE);
END;

CREATE SEQUENCE HISTO_CLI_SEQUENCE
 START WITH     1
 INCREMENT BY   1
 NOCACHE
 NOCYCLE;

create or replace trigger HISTO_CLI_TRIGGER  
   before insert on "CLINICA"."HISTORIALCLINICO" 
   for each row 
begin  
   if inserting then 
      if :NEW."ID_HISTORIAL_CLINICO" is null then 
         select HISTO_CLI_SEQUENCE.nextval into :NEW."ID_HISTORIAL_CLINICO" from dual; 
      end if; 
   end if; 
end;


